# Remove old docs and binary file without source and licence createicon.exe
# wget https://rawtherapee.googlecode.com/files/%{name}-%{version}.tar.xz
# tar xf %{name}-%{version}.tar.xz && cd  %{name}-%{version}
# rm tools/createicon.exe
# rm -rf doc/source
# find doc/ -name "*.pdf" | grep -v "4\.0" | xargs rm
# cd -
# tar -c --xz -f %{name}-%{version}.tar.xz %{name}-%{version}/

Name:           rawtherapee
Version:        4.0.9
Release:        2%{?dist}

Summary:        Raw image processing software
Group:          Applications/Multimedia
License:        GPLv3 and MIT and IJG
URL:            http://www.rawtherapee.com/
Source0:        rawtherapee-%{version}.tar.xz
BuildRequires:  cmake >= 2.6
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkmm24-devel >= 2.16
BuildRequires:  lcms2-devel, libjpeg-devel, libtiff-devel, bzip2-devel
BuildRequires:  libpng-devel, libiptcdata-devel, desktop-file-utils
BuildRequires:  expat-devel
Requires:       hicolor-icon-theme


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.


%package doc
Group:          Applications/Multimedia
Summary:        Documentation for RawTherapee
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}


%description doc
The %{name}-doc package contains the documentation for Rawtherapee


%prep
%setup -q
# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt LICENSE.txt
# Remove mercurial dependency and specify version
cat > rtgui/version.h << EOF
#ifndef _VERSION_
#define _VERSION_

#define VERSION "%{version}"
#define TAGDISTANCE 0
#define CACHEFOLDERNAME "RawTherapee${CACHE_NAME_SUFFIX}"
#endif
EOF
cat > AboutThisBuild.txt << EOF
See package information
EOF


%build
%{cmake} %{?BUILD_TESTS} \
    -DLIBDIR=%{_libdir} \
    -DCMAKE_BUILD_TYPE=None \
    -DAUTOMATED_BUILD_SYSTEM:BOOL=ON \
    .
make VERBOSE=1


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
rm -rf %{buildroot}%{_datadir}/doc


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
/usr/bin/update-desktop-database &> /dev/null || :
/sbin/ldconfig


%postun
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS.txt LICENSE.txt COMPILE.txt
%{_bindir}/rawtherapee
%{_libdir}/librtengine.so
%{_libdir}/librtexif.so
%{_datadir}/rawtherapee/
%{_datadir}/applications/rawtherapee.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png


%files doc
%defattr(-,root,root,0755)
%doc doc/built/pdf/*/*%{version}.pdf


%changelog
* Sat Sep 22 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 4.0.9-2
- spec-file imported from Fedora
- cleaned up spec-file

